Subject: Re: [PATCH net-next v2] netlink: split up copies in the ack construction

From: Jakub Kicinski <[email-masked]>
Date: Thu, 17 Nov 2022 12:36:15 -0800

On Thu, 17 Nov 2022 08:25:56 -0800 Stephen Hemminger wrote:
> > I was asking based on your own commit 1e6e9d0f4859 ("uapi: revert
> > flexible-array conversions"). This is uAPI as well.  
>  
> Some of the flex-array conversions fixed build warnings that occur in
> iproute2 when using Gcc 12 or later.

Alright, this is getting complicated. I'll post a patch to fix 
the issue I've added and gently place my head back into the sand.